Sync Instances
import requests
url = "https://app.ubik-agent.com/api/v1/flow/mcp/sync"
payload = {
"device_id": "<string>",
"device_name": "<string>",
"instances": [
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"local_path": "<string>",
"token": "<string>",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": {},
"remote_enabled": True,
"slug": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: '<string>',
device_name: '<string>',
instances: [
{
instance_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
local_path: '<string>',
token: '<string>',
profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scopes: {},
remote_enabled: true,
slug: '<string>'
}
]
})
};
fetch('https://app.ubik-agent.com/api/v1/flow/mcp/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.ubik-agent.com/api/v1/flow/mcp/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"device_name": "<string>",
"instances": [
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"local_path": "<string>",
"token": "<string>",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": {},
"remote_enabled": true,
"slug": "<string>"
}
]
}
'{
"ok": true,
"profiles": [
{
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_urls": {
"sse": "<string>",
"http": "<string>"
},
"mcp_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sync Instances
POST
/
flow
/
mcp
/
sync
Sync Instances
import requests
url = "https://app.ubik-agent.com/api/v1/flow/mcp/sync"
payload = {
"device_id": "<string>",
"device_name": "<string>",
"instances": [
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"local_path": "<string>",
"token": "<string>",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": {},
"remote_enabled": True,
"slug": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: '<string>',
device_name: '<string>',
instances: [
{
instance_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
local_path: '<string>',
token: '<string>',
profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scopes: {},
remote_enabled: true,
slug: '<string>'
}
]
})
};
fetch('https://app.ubik-agent.com/api/v1/flow/mcp/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.ubik-agent.com/api/v1/flow/mcp/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"device_name": "<string>",
"instances": [
{
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"local_path": "<string>",
"token": "<string>",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": {},
"remote_enabled": true,
"slug": "<string>"
}
]
}
'{
"ok": true,
"profiles": [
{
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_urls": {
"sse": "<string>",
"http": "<string>"
},
"mcp_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Required string length:
1 - 64Maximum string length:
255Hide child attributes
Hide child attributes
Required string length:
1 - 100Required string length:
1 - 255Minimum string length:
1Maximum string length:
64Response
Successful Response
Was this page helpful?
⌘I

